Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults
Class DefaultComponentRegistryTestCase

    java.lang.Object
      org.picocontainer.defaults.DefaultComponentRegistryTestCase

    public class DefaultComponentRegistryTestCase

extends Object

Constructor Summary
`DefaultComponentRegistryTestCase()`

Method Summary
`void` | `setUp()`
`void` | `testCanInstantiateReplacedComponent()`
`void` | `testCannotInstantiateAnUnregisteredComponent()`
`void` | `testRegisterComponent()`
`void` | `testReplacedInstantiatedComponentHasCorrectClass()`
`void` | `testUnregisterAfterInstantiateComponents()`
`void` | `testUnregisterComponent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultComponentRegistryTestCase

    public DefaultComponentRegistryTestCase()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Throws:
    `Exception`

### testRegisterComponent

    public void testRegisterComponent()
                               throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testUnregisterComponent

    public void testUnregisterComponent()
                                 throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testCannotInstantiateAnUnregisteredComponent

    public void testCannotInstantiateAnUnregisteredComponent()
                                                      throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testCanInstantiateReplacedComponent

    public void testCanInstantiateReplacedComponent()
                                             throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testUnregisterAfterInstantiateComponents

    public void testUnregisterAfterInstantiateComponents()
                                                  throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testReplacedInstantiatedComponentHasCorrectClass

    public void testReplacedInstantiatedComponentHasCorrectClass()
                                                          throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.